## org.eclipse.datatools.modelbase.sql.xml.query
Class XMLPassingType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.xml.query.XMLPassingType

public final class XMLPassingType
extends AbstractEnumerator

A representation of the literals of the enumeration 'XML Passing Type', and utility methods for working with them. Represents the possible values for the XML passing mechanism clause. A value of NONE indicates that the passing mechanism clause should be omitted.

See Also:
  `SQLXMLQueryModelPackage.getXMLPassingType()`, Serialized Form

Field Summary
`static int` `BY_REF` The 'BY REF' literal value.
`static XMLPassingType` `BY_REF_LITERAL` The 'BY REF' literal object.
`static int` `BY_VALUE` The 'BY VALUE' literal value.
`static XMLPassingType` `BY_VALUE_LITERAL` The 'BY VALUE' literal object.
`static int` `NONE` The 'NONE' literal value.
`static XMLPassingType` `NONE_LITERAL` The 'NONE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'XML Passing Type' enumerators.

Method Summary
`static XMLPassingType` `get(int value)` Returns the 'XML Passing Type' literal with the specified value.
`static XMLPassingType` `get(java.lang.String name)` Returns the 'XML Passing Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BY_REF

    public static final int BY_REF

  The 'BY REF' literal value.

  If the meaning of 'BY REF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BY_REF_LITERAL`, Constant Field Values

### BY_VALUE

    public static final int BY_VALUE

  The 'BY VALUE' literal value.

  If the meaning of 'BY VALUE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BY_VALUE_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### BY_REF_LITERAL

    public static final XMLPassingType BY_REF_LITERAL

  The 'BY REF' literal object.

  See Also:
    `BY_REF`

### BY_VALUE_LITERAL

    public static final XMLPassingType BY_VALUE_LITERAL

  The 'BY VALUE' literal object.

  See Also:
    `BY_VALUE`

### NONE_LITERAL

    public static final XMLPassingType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XML Passing Type' enumerators.

Method Detail

### get

    public static XMLPassingType get(java.lang.String name)

  Returns the 'XML Passing Type' literal with the specified name.

### get

    public static XMLPassingType get(int value)

  Returns the 'XML Passing Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.